<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>page-name-002</title>
	<meta name="assert" content="Test checks various page group selectors">
	<style>
		@page {
			background-color: lightblue;
		}

		@page named {
			background-color: lightcoral;

			@top-left {
				content: "named";
			}
		}

		@page named:first {
			background-color: lightgreen;
			@top-right {
				content: "first";
			}
		}


		@page named:blank {
			background-color: lightyellow;
			@top-center {
				content: "blank";
			}
		}

		.named {
			page: named;
			break-before: right;
		}

		.notNamed {
			break-after: right;
		}

		.break {
			break-before: page;
		}
	</style>
</head>
<body>
<div class="notNamed">
	<p>This page should be blue.</p>
</div>
<div class="named">
	<p>The previous page should be blue.</p>
	<p>This page should be green.</p>
</div>
<div class="named">
	<p>The previous page should be yellow.</p>
	<p>This page should be green.</p>
	<div class="break">
		<p>This page should be red.</p>
	</div>
</div>
</body>
</html>

